GNU bug report logs - #56236
Package: emacs, ada-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,ada-mode; Reported by: Cameron Howie <howiect@HIDDEN>; dated Sun, 26 Jun 2022 15:51:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug reassigned from package 'emacs' to 'emacs,ada-mode'. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 28 Jun 2022 23:55:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 19:55:48 2022
Received: from localhost ([127.0.0.1]:56646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6L3c-00061B-86
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 19:55:48 -0400
Received: from gproxy4-pub.mail.unifiedlayer.com ([69.89.23.142]:36855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1o6L3W-00060t-AT
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 19:55:47 -0400
Received: from cmgw10.mail.unifiedlayer.com (unknown [10.0.90.125])
 by progateway6.mail.pro1.eigbox.com (Postfix) with ESMTP id 88ED310047D67
 for <56236 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 23:55:36 +0000 (UTC)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with ESMTP
 id 6L3QowbFANVEz6L3QoXlzw; Tue, 28 Jun 2022 23:55:36 +0000
X-Authority-Reason: nr=8
X-Authority-Analysis: v=2.4 cv=I5+g+Psg c=1 sm=1 tr=0 ts=62bb94f8
 a=dWLzHQi6WpdymmZIwiVdBw==:117 a=HlCpoMJyzbfmKqni6+j5Yg==:17
 a=dLZJa+xiwSxG16/P+YVxDGlgEgI=:19 a=JPEYwPQDsx4A:10:nop_rcvd_month_year
 a=vvvmwbhNdt4A:10:endurance_base64_authed_username_1 a=xo9wN3ZvbqB8iDzAtNEA:9
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:To:From:Sender:Reply-To:Cc:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pTTp4tlRqD85aypsPV83DtdoF+m0wfUIoyXeD5nha0Q=; b=Z3sDlUvoAdV/cqhG9Egz7n8axq
 xwu0vosLA6if/V+C3j8zfMUkDT/mcPAppBOZXxHThW/jGdkHsgU9VdDgh5xtG+QpBu0Ed1nHNbudl
 SUQw1ZFa4EvlNLUUGEPnXm5g6eCEIJ9uMw7+X6SM5YEvvCHZMfPNnl+41lc+vHfFBIgivc1JShFIB
 qUk3Giutc9p3gSeW9mS2wV0LQowQlT28lM4j3IZwWqZghnV8U8MDEkaW1/rt/oVJ0NKuJhNY2OWzu
 R2meU0dHfVUZ87r98umRm85PAlA5L9WNPfgvopomKvRgf3dRZI4wL+G6dH9P6kKLx0P/ClgR/zPMf
 Hy+aX58A==;
Received: from 192-184-171-126.fiber.dynamic.sonic.net
 ([192.184.171.126]:52540 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <stephen_leake@HIDDEN>) id 1o6L3Q-001mK5-6v
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 17:55:36 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
To: 56236 <at> debbugs.gnu.org
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
 <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
 <87edzbcsog.fsf@HIDDEN>
 <2026151234.5124962.1656347169126@HIDDEN>
 <87letgq5u4.fsf@HIDDEN>
Date: Tue, 28 Jun 2022 16:55:33 -0700
In-Reply-To: <87letgq5u4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 28 Jun 2022 15:24:03 +0200")
Message-ID: <867d502vii.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 192.184.171.126
X-Source-L: No
X-Exim-ID: 1o6L3Q-001mK5-6v
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 192-184-171-126.fiber.dynamic.sonic.net (Takver4)
 [192.184.171.126]:52540
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 1
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56236
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The development verison of ada-mode parses this, and indents it nicely:

   procedure Absolute_Difference
     (X, Y :     Integer;
      Diff : out Integer)
   with Post =>
     (declare
         Min : constant Integer := Integer'Min (X, Y);
         Max : constant Integer := Integer'Max (X, Y);
      begin Diff = Max - Min)
    is begin
       Diff := abs X - Y;
    end Absolute_Difference;

Time for a new release.

-- 
-- Stephe




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 28 Jun 2022 14:36:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 10:36:48 2022
Received: from localhost ([127.0.0.1]:55966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6CKd-0006VC-Jr
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 10:36:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <howiect@HIDDEN>) id 1o69Mm-0000gy-59
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 07:26:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Subject:References:In-Reply-To:
 Message-ID:To:From:Date:Resent-Message-ID:Resent-Date:Resent-From:Resent-To:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Sender:Resent-Cc:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=eMvhe218qWVK/jA+XpWHOJ6+CTaq5JtsKvnD1nzrFmc=; b=hYnlujRzlgth3A4BMNKjNc1koi
 w4QgePKJyIjbHk8xHP11pgF6hA/Dncb4euxlttzltIwCYatLpizlhWLAbPNJ4POKE7EbkHaJltuwf
 yhTwludoPTXT28huAiyiblDmcgfTBrAJAR26gDWu63xaKL1tnCl2wCpxrliHqBNHMa74=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <howiect@HIDDEN>) id 1o69MT-0001Wu-6g
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:26:42 +0200
Resent-X-Now-Playing: Alabama Sacred Harp Singers's _Anthology of American
 Folk Music: Social Music (2)_: "Present Joys"
Resent-To: 56236 <at> debbugs.gnu.org
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Resent-Date: Tue, 28 Jun 2022 13:26:28 +0200
Resent-Message-ID: <87fsjpt4ez.fsf@HIDDEN>
Received: from sonic306-2.consmr.mail.bf2.yahoo.com ([74.6.132.41])
 by quimby.gnus.org with esmtps (TLS1.3:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.92) (envelope-from <howiect@HIDDEN>) id 1o5rYy-0008M0-Ht
 for larsi@HIDDEN; Mon, 27 Jun 2022 18:26:17 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656347170; bh=eMvhe218qWVK/jA+XpWHOJ6+CTaq5JtsKvnD1nzrFmc=;
 h=Date:From:To:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=SzJUe2/ziD0D5wctmLGfhnKis1FXfJ9DDOQBvxS/AFAIjNbs0D/BRoWmHnKe9tStO0sBhpU8NZrRUdWiyWZm6R5R7UGaPM52DJUQWb9ydyejySqOuvBQCKLbLLkOwjymB8Q/T7Yv5ZPWHTXaTnMDMuLFkCPy5UrEVoUSnOfKyHc2AxZA4+CkDc6HsgXWt4Lh2La601oh4mWyJmge1rY9hN0a675gKfx03/Y+XHN8lAj4dxQ8puKd8/vomGAofkeECOVlNgCZlTDdsaaDP3ATKmHS+joic/pzE9/Oo8AsJW0wfbfd95MEmsoTCYBdeIFMX9SSSdgL4DAQeRU8QmzZdQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com;
 s=s2048; t=1656347170; bh=mjkEOhYIHW37mKALS03qnAgSSAQuRQ9mlZ3bYIapHyr=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=auGg34Szw/oNWSHF1ITG4NeoAl9OmfSJJ29h9c/QsHImIFR1XPPfEN5pVvi5tFAWBxtm2fzcfThv6PsjfnU/xQ7VrcAp5JitYADKB+2fEaVzVAmfMZI3aHJIA7ux0WhWsgsiiLsTKSnZfxwSV/EcR9wD4Kk1Z82xjgo9zZBYB5BuJBptCfCcBMFhRbcqL5JyBOh9QHprgrzeFe/Lz+kBsRabDFcXN+5iMljl/CBVi33PZdLAM7L1nZj5PBIjOZw6hRd2s0QA00lcO49TiBfm2yScJJJpsm+9aDR+c+8RKvQQWbKCOoHWc+hXCUYAyoZe2k1ZcW+lpjVT+weAYFojew==
X-YMail-OSG: VxdzyE8VM1kd6LLi6fQvTt72o02daaGeh1O1cZizCGT9vg5y10qXUFMcHMamhbj
 NUgR2nE1ZuF8fJkZe0w9lIWQGsrUdxxW9QlR8tQ97QeUt_rS0k9rukPKlpxlNwgRxEomvvmgZkEI
 s39VCc11XXP9vEdB.5sZnSwprM4AhDLJMFl2ma1OBik42yTzC1NWvAH4aZfkX32yHDepDgEIa9Pw
 yF1RBeoHw59HufOcDFDLY7bf4AfzZWAhGQITv2c76f9q3vEe0EKQZderZxM.0e30PRJlzh5Kz98C
 WSzVihKe2rCko5jbeRDaUf9YdP1cKBtSDYNkO43IvrUYr.Oh7DTyzz_VdzJGP7HKopRvdYU3PKR4
 R7SIKJEhLBBVP28gbTGRU2BL9jNzFQ6VSbijQyciRx0OQkhXLz8THFZbLZwnVE89bauc0fNkYjwI
 tiBvX3qudwfSfezEajlhlNW4JMwbdzI4Ps8dn7tp7mkyJnSEI_CEp_8GxSJnvnK.fecP.s0GH.6k
 BQT4kb0.vI4H5bI5wJ3hYbF5r3pvC30PncMo1b8kMz3oZG6qXbp0ApjbNVrfnF.XlhnrdamQEi1n
 DWu8CR39ybZ8.jjUgTxwg2a.mdjAAMU4JsBPuucd2X3Kk5DCwrPdRT6WjJkvQGeCYB9mi2xlC_5o
 BYKU0wedBbJP9rA7FjkYvepXo8uZ291_azArM5u1xj2K4jtyCN9eITrWZLytVBXKXPXVqtP.JUCH
 7jaZ88KEmOOjEj9WyajOJaA.w_xe7hB721IYeGvOAa1d8alps_H8QLiyb2bf9En.b0j.NQKM_O7z
 Cg3JBGUHxGc_oSdPP7mFY1u7mosiTJ7wKccBcIO5V.Hd7fqGVSPO9OXRBGzUfv2n0sf2b2Kaj.W2
 5suDnuvoNjKK1qRfjHXGAQeJmQL99oeP6lL1VgSe9LfRnWr1TUS2bpsP0hzoyyQJ4kEj6zBXiba7
 P5VDB8fhMNOu6NjLEkerYLGDULsWqEl9pb5hBghaWfC2NqP3HhOx4fOJIr8Tw42V67MSHY__2.0p
 ehAXhn_QkH9EwOHB2hfD_0S7pNhiz_J7.69UZ.F8nDXMuevAVHsibHjygFl2yTuWpTqIP7aoZaIK
 .LMJWOVDVtmzvvs4p4P7aEOaug9J4fcA5ZL7ZQSkIUwKjqJhYIZpoQHpuk5TBeJtGzzLXLm2mQib
 0F9pjBttDBsVmPxGSicZVfG7q8G2qGPRgGQPwx_wtObYCTQhIIXEoRAj1nu9.t_7zfE_9QP6qhwQ
 9Rm.Kz33Zw4BkEqBwLAyx1UoKfVP5AMxAUDm2Pwxg9b284yuGp4uZWKuhGKLCJtpaGWf5fspBGfL
 TYS89M4.zGAoIQ6DheBpo.Uxn2nX9A.WtMt0oT5e2A8GolgaY.1TGrNbdcUSzA83AZT9bYLPA.lu
 9SC1hjAeE9SrwUC29eWUwER8tzkziuZ2UIvwdWKoFHmOZT_THeh59YxnupuFnXboj20BEYeFtOO0
 YGJu1Pol_w9LUvldosT9pI4lWs_JJ4.nDuqGn4elyxBqgkUft4vtG.bZMREVWBqPPACFTtNoqERO
 hsXev1EwMR95sGq4qSc.dATGZLcttLN5bQh_OvAnIwZtonptx9HXIHgN81dDSmnUdDeLXEMhFI_9
 pX0WmBxyfP0ykFTE_2HGlVisygvOeiVwG.2LpNKY8jDy7HAFqtLHNfzL__Eo74UhmX_2ppaKvGPc
 aRXxg1Rr3axLVp3Jb7DGOyoSCShaYpxWoNfyrgQ_V1lv_hwBdsMdmWjkVurN_ypDNt46B3CkctVR
 SF2cBkN4.YNvV2CtRrf0.hG95XVUyM5vcxLQ05NNocj7KQISdQ5IHuw4MqBbekG6AeRCGwK5YcAc
 VieoYpVIreepuGVHTD3w9II37PStQlYvg63HrLeLIjAnI45NyiZGnsHKw7aYZ38gBxxk_AcIw3I1
 i4O1830XuwfgwBImXpewDsre2CaHnS3.ghF2JruJ5oIKW7yBehs9ADb.qsO_G.D_kKyEe3IPIYt9
 AVNL2RARK4NVRyPR40eEY1DyjIuh2Bs9PC.cdPhBGzxrFv3DmFT5zPTGH19sVVMZFniBUejTAgjM
 GtaoR0kqMcwCO0jl.wsYUjiMUgpLGmwcClBIQB5Rv7kzNbbxUPh9556dcRSOjwe00aKe38rDFv2D
 IjyG87Ixw8k8y2NwWN2Abt12Y_ARsyPGsrMaa9Z2F.WcbrMDpit8L6R5ncw60SciNZCNCh4bbSIO
 kFEi_0ek-
X-Sonic-MF: <howiect@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.bf2.yahoo.com with HTTP; Mon, 27 Jun 2022 16:26:10
 +0000
Date: Mon, 27 Jun 2022 16:26:09 +0000 (UTC)
From: Cameron Howie <howiect@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Message-ID: <2026151234.5124962.1656347169126@HIDDEN>
In-Reply-To: <87edzbcsog.fsf@HIDDEN>
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN> <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
 <87edzbcsog.fsf@HIDDEN>
Subject: Re: bug#56236: Package: emacs, ada-mode
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_5124961_314593352.1656347169123"
X-Mailer: WebService/1.1.20280 YMailNorrin
X-Spam-Report: Spam detection software, running on the system
 "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Hi Lars,  Following up on the emails of yesterday, I
 have
    pasted below into this message a concrete example Ada code that raises
 issues
    with the Ada Mode plug-in regarding using of a "declaration ex [...] 
 Content analysis details:   (-0.1 points, 5.0 required)
  pts rule name              description
 ---- ----------------------
 --------------------------------------------------
  1.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [74.6.132.41 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (howiect[at]yahoo.com)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
  0.1 DKIM_SIGNED            Message has a DKIM or DK signature, not
 necessarily
                             valid
 -0.1 DKIM_VALID_EF          Message has a valid DKIM or DK signature from
                             envelope-from domain
 -0.1 DKIM_VALID             Message has at least one valid DKIM or DK
 signature
 -0.1 DKIM_VALID_AU          Message has a valid DKIM or DK signature from
                             author's domain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Hi Lars,  Following up on the emails of yesterday, I have
    pasted below into this message a concrete example Ada code that raises issues
    with the Ada Mode plug-in regarding using of a "declaration ex [...] 
 
 Content analysis details:   (-1.1 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [74.6.132.41 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
  0.1 DKIM_SIGNED            Message has a DKIM or DK signature, not necessarily
                             valid
 -0.1 DKIM_VALID_EF          Message has a valid DKIM or DK signature from
                             envelope-from domain
 -0.1 DKIM_VALID             Message has at least one valid DKIM or DK signature
 -0.1 DKIM_VALID_AU          Message has a valid DKIM or DK signature from
                             author's domain
  0.0 DKIMWL_WL_MED          DKIMwl.org - Whitelisted Medium sender
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 56236
X-Mailman-Approved-At: Tue, 28 Jun 2022 10:36:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

------=_Part_5124961_314593352.1656347169123
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

 Hi Lars,=C2=A0
Following up on the emails of yesterday, I have pasted below into this mess=
age a concrete example Ada code that raises issues with the Ada Mode plug-i=
n regarding using of a "declaration expression" inside a Postcondition. As =
commented in the code itself, if you remove the comment markers from the Po=
stcondition the Ada Mode parser indicates all sorts of errors when in fact =
the Postcondition is legal Ada 2022.
I didn't want to send to the "56236 <at> debbugs.gnu.org address as you may have=
 some better way of handling this internally...
-------- EXAMPLE FILE main.adb STARTS HERE
--=C2=A0 Build with e.g., "gnatmake main.adb -gnat2020"--=C2=A0 EMACS ADA M=
ODE ISSUE: remove the 'commented out' Postcondition for=C2=A0--=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 A=
bsolute_Difference and the Ada Mode parser signals=C2=A0--=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 all sort=
s of errors.
with Ada.Text_IO; use Ada.Text_IO;
procedure Mainis=C2=A0 =C2=A0procedure Absolute_Difference=C2=A0 =C2=A0 =C2=
=A0(x, y : Integer;=C2=A0 =C2=A0 =C2=A0 diff : out Integer)=C2=A0 =C2=A0 =
=C2=A0 --=C2=A0 with Post =3D> (declare=C2=A0 =C2=A0 =C2=A0 --=C2=A0 =C2=A0=
 =C2=A0min : constant Integer :=3D Integer'Min(x, y);=C2=A0 =C2=A0 =C2=A0 -=
-=C2=A0 =C2=A0 =C2=A0max : constant Integer :=3D Integer'Max(x, y);=C2=A0 =
=C2=A0 =C2=A0 --=C2=A0 =C2=A0 =C2=A0begin diff =3D max - min)=C2=A0 =C2=A0i=
s=C2=A0 =C2=A0begin=C2=A0 =C2=A0 =C2=A0 diff :=3D abs x - y;=C2=A0 =C2=A0en=
d Absolute_Difference;
=C2=A0 =C2=A0u : constant Integer :=3D 95;=C2=A0 =C2=A0v : constant Integer=
 :=3D 5;=C2=A0 =C2=A0d : Integer;begin=C2=A0 =C2=A0Absolute_Difference (u, =
v, diff =3D> d);=C2=A0 =C2=A0Put_Line ("Absolute difference =3D" & d'Img);=
=C2=A0 --=C2=A0 prints "90"end Main;
-------- END OF EXAMPLE FILE main.adb



    On Sunday, June 26, 2022, 06:09:57 PM GMT+2, Lars Ingebrigtsen <larsi@g=
nus.org> wrote: =20
=20
 (Resending with the debbugs address in the CC header so that it lands in
the bug tracker.)

Cameron Howie <howiect@HIDDEN> writes:

> No immediately, Lars, no. However, I can send one through tomorrow. Off t=
he top of
> my head, the issue arises when I use a declare expression in a Post condi=
tion, so
> something like this:
>
> procedure Foo=20
>=C2=A0 =C2=A0 (x, y : Integer;=20
>=C2=A0 =C2=A0 =C2=A0 arr : in out Integer_Array)
> with Post =3D> (declare sum : constant Integer :=3D Sum_Elements (arr); b=
egin sum >=3D x
> + y);
>
> I've not yet used the declare expression syntax in a subprogram body, jus=
t (so far) in
> contract specifications.=20
>
> On Sunday, June 26, 2022, 05:54:21 PM GMT+2, Lars Ingebrigtsen <larsi@gnu=
s.org>
> wrote:=20
>
> Cameron Howie via "Bug reports for GNU Emacs, the Swiss army knife of
>
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> I'm using Ada Mode version 7.2.0. The internal parser is currently
>> failing to handle Ada 2022 "declare expression" syntax. This leads to
>> other problems like various parsing-sensitive commands failing. My
>> only (current) solution is to use older Ada syntax.
>
> Do you have a code snippet that demonstrates these problems?
 =20
------=_Part_5124961_314593352.1656347169123
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"ydpcf344546yahoo-style-wrap" style=
=3D"font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:13px=
;"><div></div>
        <div dir=3D"ltr" data-setdir=3D"false">Hi Lars,&nbsp;</div><div dir=
=3D"ltr" data-setdir=3D"false"><br></div><div dir=3D"ltr" data-setdir=3D"fa=
lse">Following up on the emails of yesterday, I have pasted below into this=
 message a concrete example Ada code that raises issues with the Ada Mode p=
lug-in regarding using of a "declaration expression" inside a Postcondition=
. As commented in the code itself, if you remove the comment markers from t=
he Postcondition the Ada Mode parser indicates all sorts of errors when in =
fact the Postcondition is legal Ada 2022.</div><div dir=3D"ltr" data-setdir=
=3D"false"><br></div><div dir=3D"ltr" data-setdir=3D"false">I didn't want t=
o send to the "56236 <at> debbugs.gnu.org address as you may have some better wa=
y of handling this internally...</div><div dir=3D"ltr" data-setdir=3D"false=
"><br></div><div dir=3D"ltr" data-setdir=3D"false">-------- EXAMPLE FILE ma=
in.adb STARTS HERE</div><div dir=3D"ltr" data-setdir=3D"false"><br></div><d=
iv dir=3D"ltr" data-setdir=3D"false"><div><div>--&nbsp; Build with e.g., "g=
natmake main.adb -gnat2020"</div><div>--&nbsp; EMACS ADA MODE ISSUE: remove=
 the 'commented out' Postcondition for&nbsp;</div><div>--&nbsp; &nbsp; &nbs=
p; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Absolute_=
Difference and the Ada Mode parser signals&nbsp;</div><div>--&nbsp; &nbsp; =
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; all s=
orts of errors.</div><div><br></div><div>with Ada.Text_IO; use Ada.Text_IO;=
</div><div><br></div><div>procedure Main</div><div>is</div><div>&nbsp; &nbs=
p;procedure Absolute_Difference</div><div>&nbsp; &nbsp; &nbsp;(x, y : Integ=
er;</div><div>&nbsp; &nbsp; &nbsp; diff : out Integer)</div><div>&nbsp; &nb=
sp; &nbsp; --&nbsp; with Post =3D&gt; (declare</div><div>&nbsp; &nbsp; &nbs=
p; --&nbsp; &nbsp; &nbsp;min : constant Integer :=3D Integer'Min(x, y);</di=
v><div>&nbsp; &nbsp; &nbsp; --&nbsp; &nbsp; &nbsp;max : constant Integer :=
=3D Integer'Max(x, y);</div><div>&nbsp; &nbsp; &nbsp; --&nbsp; &nbsp; &nbsp=
;begin diff =3D max - min)</div><div>&nbsp; &nbsp;is</div><div>&nbsp; &nbsp=
;begin</div><div>&nbsp; &nbsp; &nbsp; diff :=3D abs x - y;</div><div>&nbsp;=
 &nbsp;end Absolute_Difference;</div><div><br></div><div>&nbsp; &nbsp;u : c=
onstant Integer :=3D 95;</div><div>&nbsp; &nbsp;v : constant Integer :=3D 5=
;</div><div>&nbsp; &nbsp;d : Integer;</div><div>begin</div><div>&nbsp; &nbs=
p;Absolute_Difference (u, v, diff =3D&gt; d);</div><div>&nbsp; &nbsp;Put_Li=
ne ("Absolute difference =3D" &amp; d'Img);&nbsp; --&nbsp; prints "90"</div=
><div>end Main;</div><div><br></div></div></div><div dir=3D"ltr" data-setdi=
r=3D"false">-------- END OF EXAMPLE FILE main.adb</div><div dir=3D"ltr" dat=
a-setdir=3D"false"><br></div><div dir=3D"ltr" data-setdir=3D"false"><br></d=
iv><div dir=3D"ltr" data-setdir=3D"false"><br></div><div><br></div>
       =20
        </div><div id=3D"yahoo_quoted_7190137326" class=3D"yahoo_quoted">
            <div style=3D"font-family:'Helvetica Neue', Helvetica, Arial, s=
ans-serif;font-size:13px;color:#26282a;">
               =20
                <div>
                    On Sunday, June 26, 2022, 06:09:57 PM GMT+2, Lars Ingeb=
rigtsen &lt;larsi@HIDDEN&gt; wrote:
                </div>
                <div><br></div>
                <div><br></div>
                <div><div dir=3D"ltr">(Resending with the debbugs address i=
n the CC header so that it lands in<br clear=3D"none">the bug tracker.)<br =
clear=3D"none"><div class=3D"yqt7178068397" id=3D"yqtfd02823"><br clear=3D"=
none">Cameron Howie &lt;<a shape=3D"rect" ymailto=3D"mailto:howiect@HIDDEN=
om" href=3D"mailto:howiect@HIDDEN">howiect@HIDDEN</a>&gt; writes:<br =
clear=3D"none"><br clear=3D"none">&gt; No immediately, Lars, no. However, I=
 can send one through tomorrow. Off the top of<br clear=3D"none">&gt; my he=
ad, the issue arises when I use a declare expression in a Post condition, s=
o<br clear=3D"none">&gt; something like this:<br clear=3D"none">&gt;<br cle=
ar=3D"none">&gt; procedure Foo <br clear=3D"none">&gt;&nbsp; &nbsp; (x, y :=
 Integer; <br clear=3D"none">&gt;&nbsp; &nbsp; &nbsp; arr : in out Integer_=
Array)<br clear=3D"none">&gt; with Post =3D&gt; (declare sum : constant Int=
eger :=3D Sum_Elements (arr); begin sum &gt;=3D x<br clear=3D"none">&gt; + =
y);<br clear=3D"none">&gt;<br clear=3D"none">&gt; I've not yet used the dec=
lare expression syntax in a subprogram body, just (so far) in<br clear=3D"n=
one">&gt; contract specifications. <br clear=3D"none">&gt;<br clear=3D"none=
">&gt; On Sunday, June 26, 2022, 05:54:21 PM GMT+2, Lars Ingebrigtsen &lt;<=
a shape=3D"rect" ymailto=3D"mailto:larsi@HIDDEN" href=3D"mailto:larsi@gnu=
s.org">larsi@HIDDEN</a>&gt;<br clear=3D"none">&gt; wrote: <br clear=3D"no=
ne">&gt;<br clear=3D"none">&gt; Cameron Howie via "Bug reports for GNU Emac=
s, the Swiss army knife of<br clear=3D"none">&gt;<br clear=3D"none">&gt; te=
xt editors" &lt;<a shape=3D"rect" ymailto=3D"mailto:bug-gnu-emacs@HIDDEN" =
href=3D"mailto:bug-gnu-emacs@HIDDEN">bug-gnu-emacs@HIDDEN</a>&gt; writes:=
<br clear=3D"none">&gt;<br clear=3D"none">&gt;&gt; I'm using Ada Mode versi=
on 7.2.0. The internal parser is currently<br clear=3D"none">&gt;&gt; faili=
ng to handle Ada 2022 "declare expression" syntax. This leads to<br clear=
=3D"none">&gt;&gt; other problems like various parsing-sensitive commands f=
ailing. My<br clear=3D"none">&gt;&gt; only (current) solution is to use old=
er Ada syntax.<br clear=3D"none">&gt;<br clear=3D"none">&gt; Do you have a =
code snippet that demonstrates these problems?<br clear=3D"none"></div></di=
v></div>
            </div>
        </div></body></html>
------=_Part_5124961_314593352.1656347169123--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 28 Jun 2022 13:51:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 09:51:38 2022
Received: from localhost ([127.0.0.1]:54356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Bcv-0002og-PN
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:51:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6Bct-0002oT-QX
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:51:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=k3zau+EIkRCGrtIl+mHwgX8dJxYMVKPpb7Nh3OaMncE=; b=CwnVRxcyfUlu11yUxLQYGNApSr
 FIW114X8eFcZq0wOr2Yqh3sDKxnoIgrmzgrK8mXIsRTO6UadfNMQi+Det/tMa1BLgh2qc0b6+20MR
 ckSJ8idTIqIMANRtz/emuU7SLsCJhy/p7R174lE41TC9mMOM90CZvxTvDJu/ZHUDa9qU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6BcH-0002iI-SW; Tue, 28 Jun 2022 15:51:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cameron Howie <howiect@HIDDEN>
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
 <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
 <87edzbcsog.fsf@HIDDEN>
 <2026151234.5124962.1656347169126@HIDDEN>
 <87letgq5u4.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVgPCilRxurnXoZ
 Fhf///85YxAlAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YGHA0dLFwq3BQAAAGBSURBVDjLvZNhbsMw
 CIUf9gXAvUDMLsCS+99tD5y0qTRN2n4MNW7MZ+BhO5DmE4JphjEdaBua4wBt2vDdbHSYt+kxEdYD
 Ku4EfPrO2K212dw0GNS8QZr6Ywc4H47GvDj6QUMEOh++fmYeo8cUOU8TrXEtFbE0rgff+rkkOkIL
 2MhBcezeKwp4ejNKhvsW7KFT1Ypwn8fRw/mPAmxrLODZieswtaYdzn5nZpvWED4pDGUbY0Uzn9Lz
 uSQs0OzUtW3QVTEBU3OU9PePHRvfxLJ4KxnZ5Yjs7AxIwPoFZLTUaPbgfnScZi/TI9AeF1hbZaco
 MUaw9STcckmPCi6wyvU8D0Ws5JJTuvkTlbOzDCAQFLBV/ymj5GnVrXPBeTp38G5Zilso1Qqv0g3k
 NlzNKNfoBaKvA7D04haRSteyJfQGqrau85GXKnrzeJRuLSBXRKHnJuOVCm/GRfKU+53Fr8Hxr4Af
 YNzFv0D5e14CDje5OY28RbwvEe+pCvy58x/A99bxBWwXbthdVvKDAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDIyLTA2LTI4VDEzOjI5OjQ0KzAwOjAw7IaeswAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0w
 Ni0yOFQxMzoyOTo0NCswMDowMJ3bJg8AAAAASUVORK5CYII=
X-Now-Playing: Gary Panter's _Pray For Smurph_: "Oakie Oktober"
Date: Tue, 28 Jun 2022 15:50:47 +0200
In-Reply-To: <87letgq5u4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 28 Jun 2022 15:24:03 +0200")
Message-ID: <87edz8oq14.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: >> Following up
 on the emails of yesterday, I have pasted below into this message a >> concrete
 example Ada code that raises issues with the Ada Mode plug-in regarding >>
 using of a "declaration expre [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56236
Cc: 56236 <at> debbugs.gnu.org, Stephen Leake <stephen_leake@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Following up on the emails of yesterday, I have pasted below into this message a
>> concrete example Ada code that raises issues with the Ada Mode plug-in regarding
>> using of a "declaration expression" inside a Postcondition. As commented in the code
>> itself, if you remove the comment markers from the Postcondition the Ada Mode
>> parser indicates all sorts of errors when in fact the Postcondition is legal Ada 2022.

I've added Stephen to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 28 Jun 2022 13:24:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 09:24:28 2022
Received: from localhost ([127.0.0.1]:54303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6BCe-0006CF-2q
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:24:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6BCc-0006C3-Mk
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 09:24:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rRcvbkfyfLk9JMUGWyyFWAWNSzuRa/D2T3VFa3Lcygo=; b=Aos3RZavWEBeOK9Wiad4NX4Uz0
 yFHe9P34rt3VoyKqYPz3uYkP+LmqQDsMGgc1i2n3TFBfaDv5VsNKkQfmwEhac3iSeRJLTxXLQmM4A
 8SegfPfUhR3x8Eit3UH6dq+acd1ySMfFPXjjIyh297DKsTtHYiZ1w/WTu0DDtSiSlNuI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6BCK-0002Sf-HC; Tue, 28 Jun 2022 15:24:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cameron Howie <howiect@HIDDEN>
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
 <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
 <87edzbcsog.fsf@HIDDEN>
 <2026151234.5124962.1656347169126@HIDDEN>
X-Now-Playing: Hannah Diamond's _PC Music Volume 3_: "Staring At The Ceiling"
Date: Tue, 28 Jun 2022 15:24:03 +0200
In-Reply-To: <2026151234.5124962.1656347169126@HIDDEN> (Cameron
 Howie's message of "Mon, 27 Jun 2022 16:26:09 +0000 (UTC)")
Message-ID: <87letgq5u4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  (Forwarding to make it land in the bug tracker; resending
 didn't work, apparently.) Cameron Howie <howiect@HIDDEN> writes: > Hi Lars, 
 > > Following up on the emails of yesterday, I have pasted below into this
 message a > concrete example Ada code that raises issues with the Ada Mode
 plug-in regarding > using of a "declara [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56236
Cc: 56236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

(Forwarding to make it land in the bug tracker; resending didn't work,
apparently.)

Cameron Howie <howiect@HIDDEN> writes:

> Hi Lars, 
>
> Following up on the emails of yesterday, I have pasted below into this message a
> concrete example Ada code that raises issues with the Ada Mode plug-in regarding
> using of a "declaration expression" inside a Postcondition. As commented in the code
> itself, if you remove the comment markers from the Postcondition the Ada Mode
> parser indicates all sorts of errors when in fact the Postcondition is legal Ada 2022.
>
> I didn't want to send to the "56236 <at> debbugs.gnu.org address as you may have some
> better way of handling this internally...
>
> -------- EXAMPLE FILE main.adb STARTS HERE
>
> --  Build with e.g., "gnatmake main.adb -gnat2020"
> --  EMACS ADA MODE ISSUE: remove the 'commented out' Postcondition for 
> --                        Absolute_Difference and the Ada Mode parser signals 
> --                        all sorts of errors.
>
> with Ada.Text_IO; use Ada.Text_IO;
>
> procedure Main
> is
>    procedure Absolute_Difference
>      (x, y : Integer;
>       diff : out Integer)
>       --  with Post => (declare
>       --     min : constant Integer := Integer'Min(x, y);
>       --     max : constant Integer := Integer'Max(x, y);
>       --     begin diff = max - min)
>    is
>    begin
>       diff := abs x - y;
>    end Absolute_Difference;
>
>    u : constant Integer := 95;
>    v : constant Integer := 5;
>    d : Integer;
> begin
>    Absolute_Difference (u, v, diff => d);
>    Put_Line ("Absolute difference =" & d'Img);  --  prints "90"
> end Main;
>
> -------- END OF EXAMPLE FILE main.adb
>
> On Sunday, June 26, 2022, 06:09:57 PM GMT+2, Lars Ingebrigtsen <larsi@HIDDEN>
> wrote: 
>
> (Resending with the debbugs address in the CC header so that it lands in
> the bug tracker.)
>
> Cameron Howie <howiect@HIDDEN> writes:
>
>> No immediately, Lars, no. However, I can send one through tomorrow. Off the top
> of
>> my head, the issue arises when I use a declare expression in a Post condition, so
>> something like this:
>>
>> procedure Foo 
>>    (x, y : Integer; 
>>      arr : in out Integer_Array)
>> with Post => (declare sum : constant Integer := Sum_Elements (arr); begin sum >=
> x
>> + y);
>>
>> I've not yet used the declare expression syntax in a subprogram body, just (so far)
> in
>> contract specifications. 
>>
>> On Sunday, June 26, 2022, 05:54:21 PM GMT+2, Lars Ingebrigtsen
> <larsi@HIDDEN>
>> wrote: 
>>
>> Cameron Howie via "Bug reports for GNU Emacs, the Swiss army knife of
>>
>> text editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>> I'm using Ada Mode version 7.2.0. The internal parser is currently
>>> failing to handle Ada 2022 "declare expression" syntax. This leads to
>>> other problems like various parsing-sensitive commands failing. My
>>> only (current) solution is to use older Ada syntax.
>>
>> Do you have a code snippet that demonstrates these problems?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 28 Jun 2022 11:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 07:27:57 2022
Received: from localhost ([127.0.0.1]:54095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o69Nt-0000iq-Mx
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 07:27:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o69No-0000ia-2z
 for 56236 <at> debbugs.gnu.org; Tue, 28 Jun 2022 07:27:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FteZEojtN7B3rUBHpm6R0RsiHW9hXp9RFoeZnCMPLpA=; b=cyJTnvaY7p3mSB6MauKGNvoqwg
 E3HxQumJKjHX73eFfNb5l0BHLc2nGjtabAOJkrp+KL7DFIG6xNFPF3QxKdR1Liwc73RpbN8yJP3w+
 ngUFcGw1AVlGezHwGovHTaDGTJK5cIfaL4ArdTicGnOGpdsTyy37nIFcI22qV4fbxHcc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o69NI-0001XH-9l; Tue, 28 Jun 2022 13:27:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cameron Howie <howiect@HIDDEN>
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
 <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
 <87edzbcsog.fsf@HIDDEN>
 <2026151234.5124962.1656347169126@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEW3qJLax6z03774
 5MXo1LaQhHNIQDv///+tiry0AAAAAWJLR0QHFmGI6wAAAAd0SU1FB+YGHAsWHJ2KScEAAAGkSURB
 VDjLnZQxdoQwDEShcOp4VxcIcICE5ALy6gBOATWNuf8RMpIMIbtsExfA0/doLFmPpu0+T1fTdo8L
 8a8TMCSg8Q/oLcnYj50pxBZjX5h0NU0rBgaKHGMUuc2rr5JHUyDKkWLcQJmLAzYJUQUlh0VBEtZM
 yHWZneT4DY8mMXIxEXFqpkkTrUUVCoiZd48QSnGFIBOyMV8NTNlPBYDNsJeqQLoyeSoFJJFckeGR
 3ZxYj8tVUX4BGkIDHr2BZd1SDcLeLldkVVVzrQT+7hF2gP04FJNc54LYCx61QBav8Taj8EVli5qj
 h4irx2X201YFgBzMQw478DCxH3cKWyrcHQrHa7/BdXknU3A0xfUeoBvW4YNCU5HuJ61wV0xujriO
 glAK1kL00C6KENIhYU6vTRtjg+9UAVw0oY4ettTZBdD70PkRTCk6I6kC7NPbSIIhtQboAH+YAvVp
 Njs4OTPwuDbA96A/KLYWwywlB3X/Fh5kGPpnHheAvIHjhssIEM8U3VPw9j+wV8C8fQ0KtHn3Pwdh
 BSd/EwN0AszjoEgj/if29f4Dg7Xeqqs2rt8AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYtMjhU
 MTE6MjI6MjgrMDA6MDB19bP8AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTI4VDExOjIyOjI4
 KzAwOjAwBKgLQAAAAABJRU5ErkJggg==
X-Now-Playing: Alabama Sacred Harp Singers's _Anthology of American Folk
 Music: Social Music (2)_: "Present Joys"
Date: Tue, 28 Jun 2022 13:27:18 +0200
In-Reply-To: <2026151234.5124962.1656347169126@HIDDEN> (Cameron
 Howie's message of "Mon, 27 Jun 2022 16:26:09 +0000 (UTC)")
Message-ID: <87a69xt4dl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Cameron Howie <howiect@HIDDEN> writes: > I didn't want
 to send to the "56236 <at> debbugs.gnu.org address as you may > have some better
 way of handling this internally... I've now resent your mail to
 56236 <at> debbugs.gnu.org.
 Including that in the CCs is the way debbugs works. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56236
Cc: 56236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Cameron Howie <howiect@HIDDEN> writes:

> I didn't want to send to the "56236 <at> debbugs.gnu.org address as you may
> have some better way of handling this internally...

I've now resent your mail to 56236 <at> debbugs.gnu.org.  Including that in
the CCs is the way debbugs works.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 26 Jun 2022 16:10:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 12:10:04 2022
Received: from localhost ([127.0.0.1]:48816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5Upn-0002GY-Ul
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 12:10:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5Upm-0002Fy-2e
 for 56236 <at> debbugs.gnu.org; Sun, 26 Jun 2022 12:10:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aASHv7LB2pwZvL18CWFjaZYfmQdR23p5VhAxXKNWuDk=; b=i8me3u070/jiV9LIWMmGJmp6KD
 9uPlhDMPNYW1MsXFH4PYvu+VyqzQnwOemiTEiYZ1rX1fN/MrXGwg0qrIZ46Dunucr31LHOvm0iVLj
 Z8oPCwEoSARd6Hzj/PJd63wlzVIYcBOTI0I2tlP9eBbr0eufyZh3PEEie1GLq0qBllcA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5Upd-0003k0-Av; Sun, 26 Jun 2022 18:09:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cameron Howie <howiect@HIDDEN>
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
 <87ilonctee.fsf@HIDDEN>
 <1632297600.4892837.1656259625032@HIDDEN>
Date: Sun, 26 Jun 2022 18:09:51 +0200
In-Reply-To: <1632297600.4892837.1656259625032@HIDDEN> (Cameron
 Howie's message of "Sun, 26 Jun 2022 16:07:05 +0000 (UTC)")
Message-ID: <87edzbcsog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: (Resending with the debbugs address in the CC header so that
 it lands in the bug tracker.) Cameron Howie <howiect@HIDDEN> writes: >
 No immediately, Lars, no. However, I can send one through tomorrow. Off the
 top of > my head, the issue arises when I use a declare expression in a Post
 condition, so > something like this: > > proc [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56236
Cc: 56236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

(Resending with the debbugs address in the CC header so that it lands in
the bug tracker.)

Cameron Howie <howiect@HIDDEN> writes:

> No immediately, Lars, no. However, I can send one through tomorrow. Off the top of
> my head, the issue arises when I use a declare expression in a Post condition, so
> something like this:
>
> procedure Foo 
>    (x, y : Integer; 
>      arr : in out Integer_Array)
> with Post => (declare sum : constant Integer := Sum_Elements (arr); begin sum >= x
> + y);
>
> I've not yet used the declare expression syntax in a subprogram body, just (so far) in
> contract specifications. 
>
> On Sunday, June 26, 2022, 05:54:21 PM GMT+2, Lars Ingebrigtsen <larsi@HIDDEN>
> wrote: 
>
> Cameron Howie via "Bug reports for GNU Emacs, the Swiss army knife of
>
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> I'm using Ada Mode version 7.2.0. The internal parser is currently
>> failing to handle Ada 2022 "declare expression" syntax. This leads to
>> other problems like various parsing-sensitive commands failing. My
>> only (current) solution is to use older Ada syntax.
>
> Do you have a code snippet that demonstrates these problems?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at 56236 <at> debbugs.gnu.org:


Received: (at 56236) by debbugs.gnu.org; 26 Jun 2022 15:54:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 11:54:28 2022
Received: from localhost ([127.0.0.1]:48787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5Uah-00085d-W1
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:54:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5Uaf-00085O-Vc
 for 56236 <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:54:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OsPiXfuAveJNrlgpoghJFhgcIp+mHu9nVsDbq7jqOwQ=; b=sGZXpRUraTOTTJtP8CHrrwg+7i
 U34AJcFlI3Gr5cKXhgZBZ1cFRMBiQEKK8Vxb2E4JKqY0LIcMDkDGtIzcZmRCCB1ps+9GiT6OyX3NC
 a2TbC5WoUgzUOrU2UALEIf5s9Jo3kYXQK9BnrbLqLviow88Ct/Q3IzVPayCEM0nSnhTA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5UaX-0003dp-Ue; Sun, 26 Jun 2022 17:54:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 56236 <at> debbugs.gnu.org
Subject: Re: bug#56236: Package: emacs, ada-mode
References: <302935684.2763160.1656258301795.ref@HIDDEN>
 <302935684.2763160.1656258301795@HIDDEN>
Date: Sun, 26 Jun 2022 17:54:17 +0200
In-Reply-To: <302935684.2763160.1656258301795@HIDDEN> (Cameron Howie
 via's message of "Sun, 26 Jun 2022 15:45:01 +0000 (UTC)")
Message-ID: <87ilonctee.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Cameron Howie via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > I'm using Ada Mode
 version 7.2.0. The internal parser is currently > failing to handle Ada 2022
 "declare expression" syntax. This leads to > other problems like various
 parsing-sensitive commands fa [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56236
Cc: Cameron Howie <howiect@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Cameron Howie via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> I'm using Ada Mode version 7.2.0. The internal parser is currently
> failing to handle Ada 2022 "declare expression" syntax. This leads to
> other problems like various parsing-sensitive commands failing. My
> only (current) solution is to use older Ada syntax.

Do you have a code snippet that demonstrates these problems?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jun 2022 15:50:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 11:50:27 2022
Received: from localhost ([127.0.0.1]:48768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5UWo-0007y2-Pa
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:50:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:44762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <howiect@HIDDEN>) id 1o5USw-000722-LY
 for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:46:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50170)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <howiect@HIDDEN>) id 1o5USw-0005t8-DT
 for bug-gnu-emacs@HIDDEN; Sun, 26 Jun 2022 11:46:26 -0400
Received: from sonic307-2.consmr.mail.bf2.yahoo.com ([74.6.134.41]:33660)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <howiect@HIDDEN>) id 1o5USu-0005VD-Hh
 for bug-gnu-emacs@HIDDEN; Sun, 26 Jun 2022 11:46:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656258382; bh=Z0SlF7hntxB06rjdUNlMT+zC9E5bt4ZT8+36Ds49VhA=;
 h=Date:From:To:Subject:References:From:Subject:Reply-To;
 b=NHZWhs2XVaNqWt6tda0W+jRLJLYMQURVI30bDMMftaHf1crgGDVEvJj23Dai6mCmnDrnwoAjwA6ir5Q489xrda3wNU2VsPeQTg/ct+IwTLjZMFtBpW3kHaWQQWu/ZcAtQ324rALkEhbkm/ncgs9P+okA8qve7jKsX0VCfdLJRolfJgQl5OnAQ/k4oyqpC4W0b8T7Rj8CPzB48j4B5y9z0WxImGMw2CGfYv4K1SgPrtnjqxdmGEgE5hgKs6UxZ3gy96aV9FKt8i/GJ/WizpD7sX+3faZWTLdh98XsUSPlk2oW9Bgf7Nh4B+YIMuJOJOrnHSfBWWB7bZLTYJ7mdf2VGw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1656258382; bh=z0H0Z05byysyGxSaxwrzr2OAKj+rV+m4bcEVc7u+UJj=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=K/oNUfTi373aaFYGI28kIXCQxu/eX2XkqfygGcV7V15vrc6CZYa/W3xQsffSFlz5aTHD/t4cLVcmfoe8+BUB6Hbqlnb0eAAKu/ZDWtiXCw9ppamh+9OqI+DZTuUaBD8TfnglfDDdJse6qri073q7mTQmY87pdbj+8ppTEClv90kpD80rXlh0bKvYA0zkyFN3wbYsIYijdDtSGKVJVW6EzfvXXyfQsP76L+biwkrjRBvgqL8fJ2YOb9lOfP7H4HsBIOR1PI8G9dB7iESPTaYySg1FFbIHp5kOK0MkZZfBrlhMkIc+ip2l1qExByxYqFPaE79iqcBEU+HkFck/wAQ3xQ==
X-YMail-OSG: mlu.Y6AVM1navh64H6ZdddC4C5VwjStkmjykJmVhJ1jJf2OR9lckvEQ8yG3GGPo
 l7nU7Kd2WPKCH5YzRSnQy1RBlSVDxMjEjgJ15a4hX.KNTqHiYCpU8ApQYKHopzSJ2BUaMyh0RdSM
 3L3bCUAviB66oLtfsQa0_AK1z1uQUxt1yDnmpXfxlQppczqRIDwt0lFrjeoy13l_R6Ajm7LGSGQ4
 THW6sWDDKV9EUI.OnUkrMG1cilhXrYH46m13DvCWDYOvpROOEC3NShOsdR0wcck6nGl_xvvSx7Jo
 eaRteWMUbUOPOEaPA3UUdFBHvTQpkqvcVxkDX9P_Mbp.j.EMcduTr56ujr1_8kgliZ8r7_3n08sH
 kHsth1gQALbIgTugskasPz4n.37jLkKOFgqLxMrV0CpHe14dSq2ZbXxaVuoviL1BfkvSuUdnXeDH
 EVzn.nOUbbO5DBuemS.J4rtBkACKxKNxId4ZEF7BcTYjT0HaRk65n1URIw.5VLs4gKDA7K9UlZ3w
 gGLVm0JvWEYLq0uGQq9mJ10ofq0kZM4llHlvXiAW5cBwPvBvVNADDt.CWOJuOxkErmNpjvX0HqXt
 I8Mg4Hep3Tsule3W0dLid9SnMQFcnlIXjdXj2Kq7uL9VD7wU1FSZ5GRcaf.xYAO0Vw8Y1WxyVpQ3
 9gAXMaYgDqaJ0VRaNT80qD1xzmlEDSIcdQGKTVICfWQMCR2mOoChG09zOn92kn14JjzknSY5iako
 pKNirgo07bVCDRgCWkj3nEsotpfEvekgdyMfdrZ00O_jh68sReG.nuj9h0lxMpzETHGji8eDthCT
 7x4BDWo2YsCecno0mTap5ANDOp.QXd.42ZMLAQKLnbFZP7XDrMSW11Z2vOBeXaBumyZuQcHyTDLr
 thQEYM6Spm1Bd6ql2Hiw1mgJDuZG41edP5adOWLb3HW7NqEbW3vOAjP3PHkjI7_SnioFdMp7CUeT
 x0Ahx00wPaLf4ft0DKNRgs28lJzt.Lp7xn0C0iJiQ_LMmPyX74_n3V0zwZTDqihHdxniZaFtIQvf
 QCaqDNzJVuQIzgBTylswR7cPTpZckJSbHl1Igw_tnKqnHa5Abysm2jf5RTmt9FcvWDSY9p84os4r
 LvrbRWUW7opo_72o6CbikMGe5a0m29jYuvd1JTFLyWaSf6raFeLHHKQaE5vkdFmXq_JmFzyewqmZ
 KqckDCijL5KWuzpfu2pP6wGSoSnqzpwMogaT.KKiE5qZ9em7qhNvueSKfJyoEt550vHWPIuv525G
 sGoqxxwMNqOH_ihbnh1kt4sADeQLbabuNSgHm885qaflh1LGgbqgIqb2A8DSvQLk.lELxDflUMUk
 pHus_VP5VbeoVqmY2O8CxJwHC4QR1zWTZK87a9PLl3mNnuUcoNtQeqkJ0OliwnHmw4r3rYQ8EMAJ
 q3l18lIu_MZ1w7gO4YQdcwNnzjYVuUj1bWp0jOGSHolr9XWMVhejhp..8nvLszMd_FtlXuwDfm9M
 FKxfcN72DHrK2fnAprLXmGTACP4stu7TSvVi4_3wzOs7N36Q_2qoJ_iDUdf7H8_5AlpOjrpZsiZP
 LoDiiIpPdO1rLuxl8WM47o_rZdr1B3JJuYKSSzsdUozGr0bkYorY4cebmMxVvOPX45WyVvt7GknS
 XSM_tuUvvfH_VIcGmQnwzO9IBJGZEje3b0Uham4DzUt5BmgDz4x8LeJAgXdtuwBRZwT0v8BGuRle
 KUjX_YGNw4MPqn_dpvizRKkL_d9MV2opnx.A.D_axS7Mc9l4WFZmnDguzQEA8d8ywzcGnTeDO62m
 wVn3WnwVU36quaPmsxMdqW9Kb7MPLIysZ2vaxQ7e9IppbY53W4rF3PnBAIOdDwaR5uZ8C7GpLMsT
 oKdVyUAKZqH8darf.VxhMTkA4dvYKmOisqv.4abX9uAJFqynpzostqkLXF9S.vA4oRNRyyd7mWdD
 YJ9E1mDpANBbflmuThnjfYV_i_tkGd5iA7Q.ozByyIX8XTyVuKF1rJP8OG5dPkimV.tVdjyWaVfR
 Zc8uoW9KiK6zQJLgEhs9qIZpU4gmwIvW_CEb8CDGy57GuDb_vtQMFGpKBLQh1eXcwEgKi77MlDEz
 NpPWewRcpGKJcv_MYboFhoHkPU47gZPuxrJJNRSW1Vt4QbOroq.0dOE6vHyclQo9jh2oIiBikYva
 x3Uz7tL18ns7cCxyT_.CcEbhEFp1DcbgWiOoFX2UClofc2TVnRiGTjA--
X-Sonic-MF: <howiect@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.bf2.yahoo.com with HTTP; Sun, 26 Jun 2022 15:46:22 +0000
Date: Sun, 26 Jun 2022 15:45:01 +0000 (UTC)
From: Cameron Howie <howiect@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <302935684.2763160.1656258301795@HIDDEN>
Subject: Package: emacs, ada-mode
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_2763159_424485076.1656258301794"
References: <302935684.2763160.1656258301795.ref@HIDDEN>
X-Mailer: WebService/1.1.20280 YMailNorrin
Content-Length: 1170
Received-SPF: pass client-ip=74.6.134.41; envelope-from=howiect@HIDDEN;
 helo=sonic307-2.consmr.mail.bf2.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 26 Jun 2022 11:50:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

------=_Part_2763159_424485076.1656258301794
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

I'm using Ada Mode version 7.2.0. The internal parser is currently failing =
to handle Ada 2022 "declare expression" syntax. This leads to other problem=
s like various parsing-sensitive commands failing. My only (current) soluti=
on is to use older Ada syntax.=C2=A0
Many thanks for this plug-in :)
------=_Part_2763159_424485076.1656258301794
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html><head></head><body><div class="yahoo-style-wrap" style="font-family:Helvetica Neue, Helvetica, Arial, sans-serif;font-size:13px;"><div dir="ltr" data-setdir="false">I'm using Ada Mode version 7.2.0. The internal parser is currently failing to handle Ada 2022 "declare expression" syntax. This leads to other problems like various parsing-sensitive commands failing. My only (current) solution is to use older Ada syntax.&nbsp;</div><div dir="ltr" data-setdir="false"><br></div><div dir="ltr" data-setdir="false">Many thanks for this plug-in :)</div></div></body></html>
------=_Part_2763159_424485076.1656258301794--




Acknowledgement sent to Cameron Howie <howiect@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56236; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Jun 2022 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.